RDKit library dependencies missing

#1

I just did a fresh install of KNIME on my local Windows 10 machine, and then installed the four available RDKit software packages through the “Install New Software” wizard in KNIME. After restarting the KNIME program, I immediately receive the following error messages in my Console window:

******************************************************************************
***         Welcome to KNIME Analytics Platform v3.7.2.v201904170949       ***
***               Copyright by KNIME AG, Zurich, Switzerland               ***
******************************************************************************
Log file is located at: C:\Users\myusername\knime-workspace\.metadata\knime\knime.log
ERROR RDKitTypesPluginActivator            Could not load native RDKit library: C:\Program Files\KNIME\plugins\org.rdkit.knime.bin.win32.x86_64_3.7.0.v201905200540\os\win32\x86_64\boost_iostreams-vc140-mt-x64-1_67.dll: Can't find dependent libraries
ERROR RDKitTypesPluginActivator            Loading of library boost_iostreams-vc140-mt-x64-1_67.dll failed: C:\Program Files\KNIME\plugins\org.rdkit.knime.bin.win32.x86_64_3.7.0.v201905200540\os\win32\x86_64\boost_iostreams-vc140-mt-x64-1_67.dll: Can't find dependent libraries
ERROR RDKitTypesPluginActivator            The library boost_iostreams-vc140-mt-x64-1_67.dll is missing.
ERROR RDKitTypesPluginActivator            Loading of library GraphMolWrap.dll failed (possibly a subsequent error): C:\Program Files\KNIME\plugins\org.rdkit.knime.bin.win32.x86_64_3.7.0.v201905200540\os\win32\x86_64\GraphMolWrap.dll: Can't find dependent libraries
ERROR RDKitTypesPluginActivator            The library GraphMolWrap.dll is missing.
ERROR RDKitTypesPluginActivator            Suggestion for fix: Please install the VS2017 Redistributables from https://go.microsoft.com/fwlink/?LinkId=746572 and then restart KNIME.

Is anyone else having this issue? And/or does anyone know of a way to resolve it?

Some things I’ve tried:

  1. Doing a fresh install, as done here. (I was having the same issue in my prior installation, but wanted to make sure I didn’t do something funny the first time through.)

  2. I tried installing the VS2017 Redistributables as linked in the error message above; however, those are outdated and so I could not install them.

  3. I tried using a dependency walker to see what I was missing for the “boost_iostreams-vc140-mt-x64-1_67.dl” library, and receive several error messages that don’t explicitly tell me what is missing:

     Error: At least one required implicit or forwarded dependency was not found.
     Error: At least one module has an unresolved import due to a missing export function in an implicitly dependent module.
     Error: Modules with different CPU types were found.
     Warning: At least one delay-load dependency module was not found.
    

I’m wondering if it might be an issue with the use of boost version 1.67, when version 1.70 is now available? Another odd–but possibly relevant–thing about the error messages about the boost library (the first set of errors I posted above) is that the first two messages are telling me that it can’t find the dependencies for the boost library at path, “C:\Program Files\KNIME\plugins\org.rdkit.knime.bin.win32.x86_64_3.7.0.v201905200540\os\win32\x86_64\boost_iostreams-vc140-mt-x64-1_67.dll.” And then the third message tells me that the file is missing altogether, even though it clearly is not since it gave me the path to it in the first two messages. Not sure if that message should be saying “cannot be loaded” as opposed to “missing,” but if not, then maybe this is related to my issue.

In any case, any help would be greatly appreciated!

0 Likes

#2

Well, after many efforts of trying to figure out the library dependency issue (as well as trying this out on separate computers–both running Windows 10), I eventually found a way to get around my problem: Download KNIME version 3.6.2. (Originally, I was trying to use the latest version of KNIME 3.7.2.)

You can download previous versions here: https://www.knime.com/download-previous-versions

I suppose this issue may be beyond my control, as at least based on my installation attempts, it seems to be related to a compatibility gap between the newest versions of KNIME and the RDKit extension.

1 Like

Errors with RDkit and Vernalis after latest updates
#3

I encountered the same problem today when I opted to update KNIME (3.7) with a new version of the RDKit-related features.
Thank you for your investigations, I’ll try to follow your instructions and “downgrade” KNIME again to retain a working RDKit on my system.

Any comments from the KNIME guys on this?

Thanks and rgds

Joachim

0 Likes

#4

Hi!

Me too have the same problem…

I’m running Knime x64 v. 3.7.2 on Windows 10 x 64

when i start the program i obtain the following errors in the Console i never had before:


     Welcome to KNIME Analytics Platform v3.7.2.v201904170949       
           Copyright by KNIME AG, Zurich, Switzerland               

Log file is located at: D:\KNIME_repository.metadata\knime\knime.log
ERROR RDKitTypesPluginActivator Could not load native RDKit library: no boost_serialization-vc140-mt-x64-1_67 in java.library.path
ERROR RDKitTypesPluginActivator The RDKit Binary Plugin org.rdkit.knime.bin.win32.x86_64 is not properly installed. Please uninstall and reinstall the RDKit Nodes.
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.loop.CutTypeLoopStartNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.loop.CutTypeLoopStartNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.uniquifyids.UniquifyIdsNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.uniquifyids.UniquifyIdsNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.fragutil.maxcuts.rdkit.RDKitMMPMaxCutsNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.fragutil.maxcuts.rdkit.RDKitMMPMaxCutsNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.fragutil.filter.rdkit.RDKitMMPFilterNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.fragutil.filter.rdkit.RDKitMMPFilterNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.fragutil.filter.rdkit.RDKitMMPSplitterNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.fragutil.filter.rdkit.RDKitMMPSplitterNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.fragutil.fragment.rdkit.RDKitMMPFragmentNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.fragutil.fragment.rdkit.RDKitMMPFragmentNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.fragutil.fragment.rdkit.RDKitMulticutMMPFragmentNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.fragutil.fragment.rdkit.RDKitMulticutMMPFragmentNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.pairgen.frag2pair.Frag2Pair3NodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.pairgen.frag2pair.Frag2Pair3NodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.pairgen.frag2pair.ReferenceFrag2Pair3NodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.pairgen.frag2pair.ReferenceFrag2Pair3NodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.fragutil.render.rdkit.RDKitMMPRenderMatchingBondsNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.fragutil.render.rdkit.RDKitMMPRenderMatchingBondsNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.fragutil.render.rdkit.RDKitMMPRenderCuttableBondsNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.fragutil.render.rdkit.RDKitMMPRenderCuttableBondsNodeFactory The corresponding plugin bundle could not be activated!
ERROR RepositoryManager Node com.vernalis.knime.mmp.nodes.transform.rdkit.RWMolApplyTransformNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created: Can’t load factory class for node: com.vernalis.knime.mmp.nodes.transform.rdkit.RWMolApplyTransformNodeFactory The corresponding plugin bundle could not be activated!

They all seems related to RDkit and Vernalis extensions.

I’ve tried to reinstall Knime and reinstall those extensions but I can see the errors again. I think it’s something not related to our local configuration but something that goes wrong with the plugins… hope they can fix it soon…

Thanks.
E.C.

0 Likes

#5

There is already an open report on this here:

It is a problem introduced in the latest RDKit update. That also causes problems for some of the Vernalis nodes as they have a dependency on the RDKit plugins.

Steve

1 Like

closed #6

Follow status on linked topic above

0 Likes